#version 330
 
in vec4 Color;
in vec2 vTexcoord;
out vec4 outputF;
uniform sampler2D texture_diffuse;
 
void main()
{
	vec4 color  = texture2D(texture_diffuse, vTexcoord) * vec4(Color.rgb,1.0);
	vec3 channels = color.rgb;
	if((color.r+color.b+color.b)/3.0 < 0.95){  //(color.r+color.b+color.b)/3.0 < 0.9){

		channels = vec3(0.0,0.0,0.0);
	}
			//channels*= (color.r+color.b+color.b)/3.0;//max(color.r,max(color.g,color.b));
		
	vec4 final = vec4(channels.r,channels.g,channels.b,1.0);
    outputF = final;
}