#version 330
 
in vec4 vColor;
in vec2 vTexcoord;
out vec4 outputF;
uniform sampler2D texture_diffuse;

 
in vec3 vVecNormal;
in vec3 vSunNormal;
 
in float vertexDepth;
void main()
{

	float dotProd = ceil(dot(vSunNormal,vVecNormal)*2.0)/2.0;
	vec4 lightColor = vColor* (0.2f+0.8f*((dotProd+1.0f)/2.0f));

	vec4 color  = texture2D(texture_diffuse, vTexcoord) *lightColor;
	
	//fog
	float alpha = clamp((vertexDepth/600.0),0.0,1.0);
	vec4 fadeoutColor = vec4(220.0/255.0,240.0/255.0,247.0/255.0,1.0);
	
    outputF = mix(color,fadeoutColor,alpha);
}