#version 330
 
in vec4 Color;
in vec2 vTexcoord;
out vec4 outputF;

uniform sampler2D textureBloom;

in float hori;

void main()
{

	vec2 tex_offset = vec2(1.0/1280.0,1.0/720.0); // gets size of single texel
    vec3 result = texture2D(textureBloom, vTexcoord).rgb; // current fragment's contribution
    if(hori>0.5)
    {
        for(int i = 1; i < 10; ++i)
        {
            result += texture2D(textureBloom, vTexcoord + vec2(tex_offset.x * i, 0.0)).rgb;
            result += texture2D(textureBloom, vTexcoord - vec2(tex_offset.x * i, 0.0)).rgb;
			
        }
    }
    else
    {
			for(int g = 1; g < 10; ++g)
		{
			result += texture2D(textureBloom, vTexcoord + vec2(0.0, tex_offset.y * g)).rgb;
			result += texture2D(textureBloom, vTexcoord - vec2(0.0, tex_offset.y * g)).rgb;
		}
		
    }
	

	
	result/=20.0;
	
	
    outputF = vec4(result.r,result.g,result.b,1.0);//texture2D(textureBase, vTexcoord);
}