#version 330

 
in vec3 position;
in vec3 normal;
in vec4 color;
in vec2 uv;
 
uniform mat4 uProjectionMatrix;
uniform mat4 uModelViewMatrix;
uniform mat3 uNormalMatrix;


out vec4 Color;
out vec2 vTexcoord;
 
out float vertexDepth;
 
void main()
{
    Color = color;
	vTexcoord = uv;
	//vec3 sNormal = uNormalMatrix*normal*0.0;//workaround because of optimization
	
	vec4 vertexPos = uProjectionMatrix * uModelViewMatrix * vec4(position,1.0);
	vertexDepth = vertexPos.z;
    gl_Position =  vertexPos;
}